<!-- prettier-ignore-start -->
# Class PinterestOrderHooks

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.extensions.pinterest.PinterestOrderHooks](dw.extensions.pinterest.PinterestOrderHooks.md)

PinterestOrderHooks interface containing extension points for customizing Pinterest order status.


These hooks are not executed in a transaction.


The extension points (hook names), and the functions that are called by each extension point. A function must be
defined inside a JavaScript source and must be exported. The script with the exported hook function must be located
inside a site cartridge. Inside the site cartridge a 'package.json' file with a 'hooks' entry must exist.




```
"hooks": "./hooks.json"
```


The hooks entry links to a json file, relative to the 'package.json' file. This file lists all registered hooks
inside the hooks property:




```
"hooks": [
     {"name": "dw.extensions.pinterest.order.getStatus", "script": "./hooks.ds"}
]
```



A hook entry has a 'name' and a 'script' property.

- The 'name' contains the extension point, the hook name.
- The 'script' contains the script relative to the hooks file, with the exported hook function.



## Constant Summary

| Constant | Description |
| --- | --- |
| [extensionPointGetStatus](#extensionpointgetstatus): [String](TopLevel.String.md) = "dw.extensions.pinterest.order.getStatus" | The extension point name dw.extensions.pinterest.order.getStatus. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getStatus](dw.extensions.pinterest.PinterestOrderHooks.md#getstatuspinterestorder)([PinterestOrder](dw.extensions.pinterest.PinterestOrder.md)) | Called to retrieve status for the given order. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constant Details

### extensionPointGetStatus

- extensionPointGetStatus: [String](TopLevel.String.md) = "dw.extensions.pinterest.order.getStatus"
  - : The extension point name dw.extensions.pinterest.order.getStatus.


---

## Method Details

### getStatus(PinterestOrder)
- getStatus(order: [PinterestOrder](dw.extensions.pinterest.PinterestOrder.md)): [Status](dw.system.Status.md)
  - : Called to retrieve status for the given order. Return a `null` status for unknown orders.

    **Parameters:**
    - order - the Pinterest order

    **Returns:**
    - a non-null Status ends the hook execution


---

<!-- prettier-ignore-end -->
